## http-analyze 1.9e

=== Makefile ===
#
# Makefile for http-analyze
#

# the shell to use for executing commands by make
SHELL	= /bin/sh

# LOCALBIN is the directory where the executable is installed.
# LOCALMAN defines the directory for the (pre-formatted) manpage.
LOCALBIN = /usr/local/bin
LOCALMAN = /usr/local/man/cat1

# Which program to use for compressing the manpage
# (pack is the System V standard)
COMPRESS = pack
#COMPRESS = compress

# where your gd library and include files reside
GDLIB	= /usr/local/lib/libgd.a
GDINC	= /usr/local/include/gd

# Customization
#
# NS_FASTTRACK
#	If defined, http-analyze skips the first line in
#	the logfile, which is used by Netscape's new server
#	generation (i.e. Fasttrack and Enterprise servers)
#	to determine the format which should be used for
#	those logfile entries. Note that http-analyze does
#	not recognize other log formats than the common
#	logfile format (CLF), so don't change the this!
#
# COUNT_EXTRA_BYTES
#	If defined, accounts for the protocol overhead,
#	which already may or may not be accounted for
#	by the HTTP daemon.
#
# USER_AGENT
#	If defined, includes code for generating statistics
#	about the user agents (not excessively tested).
#
# USE_GETHOSTNAME
#	If defined, use gethostname(2) to determine the
#	server's full qualified domain name, otherwise
#	use uname(2) to determine the hostname (which
#	may not be fully qualified).
#
# USE_FGETS
#	If defined, use fgets(3) to read log entries
#	rather than the built-in function which has
#	been highly optimized for speed.
#
# BEST_IO_SIZE=#
#	Set this to the recommended buffer size for I/O when
#	using the built-in function to process the logfile
#	(i.e. if USE_FGETS hasn't been defined). On SGI Indys
#	running IRIX 5.3, the best I/O size seems to be 64KB.
#	This is the default if BEST_IO_SIZE is left undefined.
#
# TIME_STATS
#	Activates code for performance measurement.
#

#DEFINES = -DCOUNT_EXTRA_BYTES -DUSER_AGENT -DUSE_GETHOSTNAME -DUSE_FGETS
DEFINES	= -DUSE_GETHOSTNAME

VERSION	= -DVERSION=\"1.9e\"

OBJ	= http-analyze.o images.o cntrycode.o utils.o
SRC	= http-analyze.c images.c cntrycode.c utils.c
TARGETS	= http-analyze http-analyze.1

# Compiler flags
CC	= cc
#CFLAGS	= -O -xansi -fullwarn -wlint,-pui -woff 827,828 $(DEFINES) $(VERSION)
#CFLAGS	= -O $(DEFINES) $(VERSION) -DTIME_STATS
CFLAGS	= -O $(DEFINES) $(VERSION) 
LDFLAGS	= 
LINT	= lint -u
LIBS	= -lm
NROFF	= nroff
NRFLAGS	= -u1 -man

all:	$(TARGETS)

http-analyze: $(OBJ)
	$(CC) $(LDFLAGS) -o $@ $(OBJ) $(GDLIB) $(LIBS)

http-analyze.o:	http-analyze.c
	$(CC) $(CFLAGS) -c -I$(GDINC) http-analyze.c

images.o:	images.c
	$(CC) $(CFLAGS) -c -I$(GDINC) images.c

lint.out:	$(SRC) defs.h cntrycode.h
	$(LINT) $(CFLAGS) -I$(GDINC) $(SRC) >$@

http-analyze.1:	http-analyze.man
	$(NROFF) $(NRFLAGS) http-analyze.man | col >$@

http-analyze.o:	defs.h cntrycode.h
images.o:	defs.h
utils.o:	defs.h
cntrycode.o:	defs.h cntrycode.h

install:	$(TARGETS)
	cp http-analyze $(LOCALBIN)/
	cp http-analyze.1 $(LOCALMAN)/
	chmod 755 $(LOCALBIN)/http-analyze
	chmod 444 $(LOCALMAN)/http-analyze.1
	chown bin.bin $(LOCALBIN)/http-analyze \
		      $(LOCALMAN)/http-analyze.1
	-rm $(LOCALMAN)/http-analyze.1.gz
	$(COMPRESS) $(LOCALMAN)/http-analyze.1

clean:
	-rm -f $(OBJ) lint.out

realclean:	clean
	-rm -f core http-analyze http-analyze.1

clobber::	realclean
	-rm -f index.html stats*.html stats*.hist sites*.html files*.html *.gif

## http-analyze 1.9e-4.2

=== debian/changelog ===
http-analyze (1.9e-4.2) stable; urgency=high

  * Modify http-analyse.c to fix Y2K bug (#54029).

 -- Vincent Renardias <vincent@debian.org>  Fri, 21 Jan 2000 15:27:05 +0100

http-analyze (1.9e-4.1) unstable; urgency=low

  * Don't hardcode libraryname but use -lgd, Closes: Bug#51714

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 19 Dec 1999 17:26:37 +0100

http-analyze (1.9e-4) unstable; urgency=low

  * Fixed Bug #41361: http-analyze cannot be built from sources
  * Fixed Bug #41363: Please do not hardcode i386 in source package
  
 -- Hanno Wagner <wagner@debian.org>  Sun,  1 Aug 1999 14:52:02 +0200

http-analyze (1.9e-3) unstable; urgency=low

  * Fixed Bug #24430: http-analyze was libc5 based
  * Fixed Bug #9923: Short Description
  * Fixed Bug #13630: Architecture now any
  * Maintainers Address is now wagner@debian.org

 -- Hanno Wagner <wagner@debian.org>  Tue, 14 Jul 1998 11:34:01 +0200

http-analyze (1.9e-2) stable; urgency=low

  * Fixed Bug #9801: changelog from changelog.debian.gz removed
  * Fixed Bug #9802: typo fixed.
  * Fixed Bug #9803: manpage is now non-preformatted
  * Fixed Bug #9804: example config in /usr/doc/http-analyze/examples
  * Fixed Bug #9805: moved from net to non-free because of copyright 

 -- Hanno Wagner <wagner@linux.de>  Wed, 11 Jun 1997 17:30:06 +0200 

http-analyze (1.9e-1) stable; urgency=low

  * Initial Release.

 -- Hanno Wagner <wagner@linux.de>  Fri, 18 Apr 1997 15:54:52 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Modified for  by .

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) LOCALBIN=/usr/bin LOCALMAN=/usr/man \
	GDLIB=-lgd GDINC=/usr/include
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	-$(MAKE) -i clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin usr/man/man1 usr/doc
#	install -m 644 
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL_PROGRAM='install -c -s' \
	LOCALBIN=debian/tmp/usr/bin \
	LOCALMAN=debian/tmp/usr/man/man1 \
	GDLIB=debian/tmp/usr/lib/libgd.so.1 \
	COMPRESS=gzip \
	GDINC=debian/tmp/usr/include install			
#	install -m 644 source target
	dh_installdocs README http-analyze.ps CHANGES
	dh_installchangelogs
	dh_installexamples sample.conf
	dh_installmanpages 
	dh_strip
	dh_compress
	dh_installdeb
	dh_fixperms
	dh_shlibdeps http_analyze
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## http-analyze 1.9e-4.3

=== Makefile ===
--- 
+++ 
@@ -110,7 +110,7 @@
 	chmod 444 $(LOCALMAN)/http-analyze.1
 	chown bin.bin $(LOCALBIN)/http-analyze \
 		      $(LOCALMAN)/http-analyze.1
-	-rm $(LOCALMAN)/http-analyze.1.gz
+	-rm -f $(LOCALMAN)/http-analyze.1.gz
 	$(COMPRESS) $(LOCALMAN)/http-analyze.1
 
 clean:

=== debian/changelog ===
http-analyze (1.9e-4.3) frozen unstable; urgency=high

  * Modify http-analyse.c to fix Y2K bug (#54029).
    [Glibc 2.1 version]

 -- Vincent Renardias <vincent@debian.org>  Fri, 21 Jan 2000 15:31:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	dh_testdir
 	dh_testroot
 	dh_clean
-	dh_installdirs usr/bin usr/man/man1 usr/doc
+	dh_installdirs usr/bin usr/man/man1 usr/share/doc
 #	install -m 644 
 	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL_PROGRAM='install -c -s' \
 	LOCALBIN=debian/tmp/usr/bin \

## http-analyze 2.4-2.1

=== Makefile ===
#
# Makefile for http-analyze
#
# $Id: Makefile,v 1.5 1999/11/02 16:12:15 stefan Exp $

# Shell to use for executing commands by make.
SHELL	= /bin/sh

# Local conventions
# -----------------
#
# HA_BINDIR	is the directory where the executable is installed.
# HA_LIBDIR	is the directory where the required files are installed.
# HA_MANDIR	defines the directory for the manpage in source or
#		pre-formatted format.
#
HA_BINDIR = /usr/local/bin
HA_LIBDIR = /usr/local/lib/http-analyze
HA_MANDIR = /usr/local/man/cat1

# Required libraries
# ------------------
#
# REQINCS	default location of the GD include files.
# REQLIBS	default location of the GD library.
#
REQINCS	= -I/usr/local/include
REQLIBS	= -L/usr/local/lib -lgd -lpng -lz

# EXTENSION	is either '1' or 'man' to define whether the pre-formatted
#		manpage (ASCII format) or the source (nroff format) is to
#		be installed. The name of the installed manpage always has
#		the suffix '.1'. This are the two most common combinations:
#
#		Manpage in	EXTENSION	HA_MANDIR
#		pre-fmt. text	.1		/usr/local/man/cat1
#		source format	.man		/usr/local/man/man1
#
# COMPRESS	defines the program to use for compressing the manpage.
#		If set to 'true', no compression is applied.
#EXTENSION = man
#COMPRESS = pack -f
#COMPRESS = compress -f
EXTENSION = 1
COMPRESS = true

# Platform selection
# ------------------
#
# Select the platform below to include the actual macro definitions for
# this platform in the file config.h. The default settings in config.h
# should work fine if your platform is selected below.
#
# OPTIM		contains optimization flags for the compiler only.
# DEFINES	contains compiler options which are also passed to lint.
# PLATFORM	contains platform-specific options not passed to lint,
#		but to the loader.
# EXTRA_LIBS	are extra libraries needed on certain platforms.
#

# SGI IRIX 5.x/6.x
# Congratulations! You're using one of the best platforms for porting SW.
#
#DEFINES  = -DIRIX
#
# for the mips-3 ABI:
#OPTIM    = -O2 -OPT:Olimit=2580
#PLATFORM = -n32 -xansi
#
# or for the mips-2 ABI:
#OPTIM    = -O2 -Olimit 1270
#PLATFORM = -o32 -xansi

# SunOS 4.x/Solaris 2.x.
# Note: On SunOS 4.x you will need to define -DNOT_REALLY_ANSI_C
# to include an own strerror() functions which is missing from the
# standard C library on SunOS.
#
#DEFINES  = -DSUN -Dunix
#OPTIM    = -O2
#PLATFORM = -ansi
#CC       = gcc

# AIX 4.2
#
#DEFINES  = -DAIX -Dunix
#OPTIM    = -O
#PLATFORM =

# DIGITAL UNIX V4.0
#
#DEFINES  = -DDEC -Dunix
#OPTIM    = -O
#PLATFORM = -newc

# HP/UX 10.20
#
#DEFINES  = -DHPUX -Dunix
#OPTIM    = -O
#PLATFORM = -Ae

# Linux flavours
#
#DEFINES  = -Dlinux -Dunix
#OPTIM    = -O2
#PLATFORM = 
#CC       = gcc

# SCO 3.2
#
#DEFINES  = -DSCO
#OPTIM    = -O
#PLATFORM =

# BSD/OS 3.0 and FreeBSD 2.2.6-RELEASE
#
#DEFINES  = -DBSD -Dunix
#OPTIM    = -O2
#PLATFORM =
#CC       = gcc

# AT&T (vanilla) Unix System V.4
#
#DEFINES  = -DSVR4
#OPTIM    = -O2
#PLATFORM = -Xa
#EXTRA_LIBS = -lucb

# AT&T (vanilla) Unix System V.3
#
#DEFINES  = -DSVR3
#OPTIM    = -O
#PLATFORM = 

# BeOS
#
#DEFINES  = -DBEOS -Dunix
#OPTIM    = -O
#PLATFORM = -relax_pointers

# Windows NT/Netware
#
#DEFINES = -DWIN32
#DEFINES = -DNETWARE

http-analyze:
	(cd src; $(MAKE) $(MFLAGS) CC="$(CC)" OPTIM="$(OPTIM)" \
	    DEFINES="$(DEFINES)" PLATFORM="$(PLATFORM)" \
	    EXTRA_LIBS="$(EXTRA_LIBS)" HA_LIBDIR="$(HA_LIBDIR)" \
	    REQINCS="$(REQINCS)" REQLIBS="$(REQLIBS)")

install:	http-analyze
	(cd src; $(MAKE) $(MFLAGS) install \
	    HA_BINDIR="$(HA_BINDIR)" HA_LIBDIR="$(HA_LIBDIR)")
	(cd man; $(MAKE) $(MFLAGS) install \
	    HA_MANDIR="$(HA_MANDIR)" \
	    EXTENSION="$(EXTENSION)" COMPRESS="$(COMPRESS)")
	@echo "\nInstallation completed."
	@echo "Please see following new options in the documentation:\n"
	@echo "http-analyze -B [-v] [-o outdir]\t\tto create buttons in outdir"
	@echo "http-analyze -i new_cfg [-v] [-c cfgfile]\tto create a new config file"
	@echo "http-analyze -r company regID [free|comm]\tto register your copy"

clean:
	(cd src; $(MAKE) $(MFLAGS) clean)
	(cd msgcat; $(MAKE) $(MFLAGS) clean)

=== man/Makefile ===
#
# Makefile for the manpage of http-analyze
#
# $Id: Makefile,v 1.1 1999/05/17 05:18:42 stefan Exp $

# Shell to use for executing commands by make.
SHELL	= /bin/sh

# Local conventions
# -----------------
#
# HA_MANDIR	defines the directory for the manpage in source or
#		pre-formatted format.
HA_MANDIR = /usr/local/man/cat1

# EXTENSION	is either '1' or 'man' to define whether the pre-formatted
#		manpage (ASCII format) or the source (nroff format) is to
#		be installed. The name of the installed manpage always has
#		the suffix '.1'. This are the two most common combinations:
#
#		Manpage in	EXTENSION   HA_MANDIR
#		pre-fmt. text	.1	    /usr/local/man/cat1
#		source format	.man	    /usr/local/man/man1
#
# COMPRESS	defines the program to use for compressing the manpage.
#		If set to 'true', no compression is applied.
#EXTENSION = man
#COMPRESS = pack -f
#COMPRESS = compress -f
EXTENSION = 1
COMPRESS = true

NROFF	= nroff
NRFLAGS	= -u1 -man

http-analyze.1:	http-analyze.man
	$(NROFF) $(NRFLAGS) http-analyze.man | col >$@

install: http-analyze.$(EXTENSION)
	@echo "\nInstalling http-analyze.$(EXTENSION) in $(HA_MANDIR)"
	if test ! -d $(HA_MANDIR); then mkdir -p $(HA_MANDIR); \
	elif test -f $(HA_MANDIR)/http-analyze.1; then \
		mv $(HA_MANDIR)/http-analyze.1 $(HA_MANDIR)/http-analyze.1.O; \
	fi
	cp http-analyze.$(EXTENSION) $(HA_MANDIR)/http-analyze.1
	$(COMPRESS) $(HA_MANDIR)/http-analyze.1

realclean:
	-rm -f http-analyze.1

=== msgcat/Makefile ===
#
# Makefile for http-analyze message catalogs
#
# $Id: Makefile,v 1.10 1999/11/02 11:06:55 stefan Exp $
#

# Shell to use for executing commands by make.
SHELL	= /bin/sh

# Available message catalogs
MSGLIST = en en_US de de_BY it fr pt_BR

# XPG/4 message catalogs
# Uses string source files, needs explicit name of
# the locale directory to install the catalogs.
#
LOCALE = /usr/lib/locale
MSGNAM = LC_MESSAGES/http-analyze
MSGSTR = ha-en.str ha-en_US.str ha-de.str ha-de_BY.str ha-it.str \
	 ha-fr.str ha-pt_BR.str

# SVR4 MNLS message catalogs
# Needs temporary '.cat' file generated by gen-msgcat,
# automatically selects corresponding locale directory.
#
MSGCAT = ha-en.cat ha-en_US.cat ha-de.cat ha-de_BY.cat ha-it.cat \
	 ha-fr.cat ha-pt_BR.cat

# Built-in MNLS message catalogs
# Needs SVR4-style catalog file, places them into `HA_LIBDIR'.
HA_LIBDIR = /usr/local/lib/http-analyze

# ----------------- end of config section --------------------

.SUFFIXES: .str .cat
.str.cat:
	perl gen-msgcat $? >$@

TARGET	= xpgcat

all:	$(TARGET)

xpgcat:	$(MSGSTR)
	for idx in $(MSGLIST); do \
	gencat $(LOCALE)/$$idx/$(MSGNAM) ha-$$idx.str; done
	@touch $@

svr4cat: $(MSGCAT)
	for idx in $(MSGLIST); do \
	mkmsgs -o -i $$idx ha-$$idx.cat http-analyze; done
	@touch $@

mycat: $(MSGCAT)
	test -d $(HA_LIBDIR)/msgcat || mkdir $(HA_LIBDIR)/msgcat
	cp $(MSGCAT) $(HA_LIBDIR)/msgcat
	@touch $@

clean:
	-rm -f $(MSGCAT) xpgcat svr4cat mycat

=== src/Makefile ===
#
# Makefile for http-analyze
#
# $Id: Makefile,v 2.4.1.3 1999/11/02 16:30:19 stefan Exp stefan $

# Shell to use for executing commands by make.
SHELL	= /bin/sh

# Local conventions
# -----------------
#
# HA_BINDIR	is the directory where the executable is installed.
# HA_LIBDIR	is the directory where the required files are installed.
#
HA_BINDIR = /usr/local/bin
HA_LIBDIR = /usr/local/lib/http-analyze

# Required libraries
# ------------------
#
# REQINCS	location of the include files for library functions.
# REQLIBS	location of the required libraries.
#
REQINCS	= -I/usr/local/include
REQLIBS	= -L/usr/local/lib -lgd -lpng -lz

# Platform selection
# ------------------
#
# Select the platform below to include the actual macro definitions for
# this platform in the file config.h. The default settings in config.h
# should work fine if your platform is selected below.
#
# OPTIM		is set to optimization by default. If you experience
#		core dumps, you might want to change this to -g to
#		view a stack backtrace with the debugger.
# DEFINES	contains compiler options which are also passed to lint.
# PLATFORM	contains platform-specific options not passed to lint,
#		but to the loader.
# COMDEFS	are definitions common to all platforms. Remove NDEBUG
#		to include various assertion checks in the program.
# EXTRA_LIBS	are extra libraries needed on certain platforms.
#
COMDEFS   = -DTIME_STATS -DNDEBUG -DHA_LIBDIR=\"$(HA_LIBDIR)\"

# SGI IRIX 6.2 MipsPRO Compilers
# Congratulations! You're using one of the best platforms for porting SW.
#
#DEFINES  = -DIRIX
#
# for the mips-3 ABI:
#OPTIM    = -O2 -OPT:Olimit=2580
#PLATFORM = -n32 -xansi
#
# or for the mips-2 ABI:
#OPTIM    = -O2 -Olimit 1270
#PLATFORM = -o32 -xansi

# SunOS 4.x/Solaris 2.x.
# Note: On SunOS 4.x you will need to define -DNOT_REALLY_ANSI_C
# to include an own strerror() functions which is missing from the
# standard C library on SunOS.
#
#DEFINES  = -DSUN -Dunix
#OPTIM    = -O2
#PLATFORM = -ansi
#CC       = gcc

# AIX 4.2
#
#DEFINES  = -DAIX -Dunix
#OPTIM    = -O
#PLATFORM =

# DIGITAL UNIX V4.0
#
#DEFINES  = -DDEC -Dunix
#OPTIM    = -O
#PLATFORM = -newc

# HP/UX 10.20
#
#DEFINES  = -DHPUX -Dunix
#OPTIM    = -O
#PLATFORM = -Ae

# Linux flavours
#
#DEFINES  = -Dlinux -Dunix
#OPTIM    = -O2
#PLATFORM = 
#CC       = gcc

# SCO 3.2
#
#DEFINES  = -DSCO
#OPTIM    = -O
#PLATFORM =

# BSD/OS 3.0 and FreeBSD 2.2.6-RELEASE
#
#DEFINES  = -DBSD -Dunix
#OPTIM    = -O2
#PLATFORM =
#CC       = gcc

# AT&T (vanilla) Unix System V.4
#
#DEFINES  = -DSVR4
#OPTIM    = -O2
#PLATFORM = -Xa
#EXTRA_LIBS = -lucb

# AT&T (vanilla) Unix System V.3
#
#DEFINES  = -DSVR3
#OPTIM    = -O
#PLATFORM = 

# BeOS
#
#DEFINES  = -DBEOS -Dunix
#OPTIM    = -O
#PLATFORM = -relax_pointers

# Windows NT/Netware
#
#DEFINES = -DWIN32
#DEFINES = -DNETWARE
#PLATFORM = 

CFLAGS  = $(PLATFORM) $(OPTIM) $(DEFINES) $(COMDEFS)
LIBS	= $(REQLIBS) $(EXTRALIBS) -lm
LINT	= lint -k -Dunix -Xa -xu
NROFF	= nroff
NRFLAGS	= -u1 -man

HA_OBJ	= http-analyze.o images.o cntrycode.o utils.o vrml.o
HA_SRC	= http-analyze.c images.c cntrycode.c utils.c vrml.c

http-analyze: $(HA_OBJ)
	$(CC) $(PLATFORM) -o $@ $(HA_OBJ) $(LIBS)

http-analyze.o:	http-analyze.c config.h defs.h patchlevel.h
	$(CC) $(CFLAGS) -c http-analyze.c

cntrycode.o: cntrycode.c cntrycode.h config.h defs.h
	$(CC) $(CFLAGS) -c cntrycode.c

utils.o: utils.c config.h defs.h
	$(CC) $(CFLAGS) -c utils.c

vrml.o: vrml.c config.h defs.h
	$(CC) $(CFLAGS) -c vrml.c

images.o:	images.c config.h defs.h
	$(CC) $(CFLAGS) -c $(REQINCS) images.c

lint.out:	$(HA_SRC) config.h defs.h cntrycode.h patchlevel.h
	$(LINT) $(DEFINES) $(REQINCS) $(HA_SRC) >$@

# Uncomment next lines only if you have the nroff/troff typesetting
# package installed at your site. It's o.k. to use the pre-formatted
# manual page included in this package. See also NROFF and NRFLAGS.
#
#http-analyze.1:	http-analyze.man
#	$(NROFF) $(NRFLAGS) http-analyze.man | col >$@

install:	http-analyze
	@echo "Installing http-analyze in $(HA_BINDIR)"
	if test ! -d $(HA_BINDIR); then mkdir -p $(HA_BINDIR); \
	elif test -f $(HA_BINDIR)/http-analyze; then \
		mv -f $(HA_BINDIR)/http-analyze $(HA_BINDIR)/http-analyze.O; \
	fi
	cp http-analyze $(HA_BINDIR)
	-chmod 755 $(HA_BINDIR)/http-analyze
	-chgrp bin $(HA_BINDIR)/http-analyze && chown bin $(HA_BINDIR)/http-analyze
	@echo "\nInstalling buttons and files in $(HA_LIBDIR)"
	if test ! -d $(HA_LIBDIR); then \
		mkdir -p $(HA_LIBDIR); \
	else	rm -rf $(HA_LIBDIR).O; \
		mv $(HA_LIBDIR) $(HA_LIBDIR).O; \
		mkdir $(HA_LIBDIR); \
	fi
	(cd ../files; cp 3D* TLD bugreport.html $(HA_LIBDIR); \
	 for i in btn btn-*; do \
		if test ! -d $(HA_LIBDIR)/$$i; then mkdir $(HA_LIBDIR)/$$i; fi; \
		cp $$i/* $(HA_LIBDIR)/$$i; \
	done)
	if test -f $(HA_LIBDIR).O/REGID; then \
		cp $(HA_LIBDIR).O/REGID $(HA_LIBDIR)/REGID; \
		if test -f $(HA_LIBDIR).O/btn/netstore_sw.gif; then \
		    cp $(HA_LIBDIR).O/btn/netstore_s[wb].gif $(HA_LIBDIR)/btn; \
		fi; \
	fi

clean:
	-rm -f $(HA_OBJ)

realclean:	clean
	-rm -f core http-analyze lint.out

=== debian/changelog ===
http-analyze (2.4-2.1) unstable; urgency=high

  * NMU
  * Recompiled on a recent unstable. (closes: #74206)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 17 Mar 2001 00:04:49 +0100

http-analyze (2.4-2) unstable; urgency=low

  * manpages have to go in the right directory

 -- Hanno Wagner <wagner@debian.org>  Sat, 29 Apr 2000 17:33:39 +0200

http-analyze (2.4-1) unstable; urgency=low

  * Fixed Bug #12614
  * Fixed Bug #24430
  * Fixed Bug #38356: questions are needed for config
  * Fixed Bug #43943: tries to configure during removal: this is necessary
  * Fixed Bug #44340: Package is not native
  * Fixed Bug #45924: Recompile for libgd
  * New upstream release

 -- Hanno Wagner <wagner@debian.org>  Fri,  5 Nov 1999 01:08:49 +0100

=== debian/control ===
Source: http-analyze
Section: non-free/web
Priority: optional
Maintainer: Hanno Wagner <wagner@linux.de>
Standards-Version: 2.1.1.0

Package: http-analyze
Architecture: any
Depends: ${shlibs:Depends}
Description: Fast WWW-log Server analyzer
 It analyzes logfiles and creates
 a detailed summary of the server's access load.
 Currently, http-analyze outputs HTML files, which
 require a browser capable of displaying tables
 (for example, Netscape Navigator). For up-to-date
 informations about http-analyze visit
 http://www.netstore.de/Supply/http-analyze/.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Modified for http-analyze by Rince.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DEFINES = "-Dlinux -Dunix"
OPTIM = -O2
CC = gcc
HA_BINDIR="/usr/bin"
HA_LIBDIR="/usr/lib/http-analyze"
HA_MANDIR="/usr/share/man/man1"
REQINCS=""
REQLIBS="-lgd -lpng -lz"

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) DEFINES=${DEFINES} OPTIM=${OPTIM} CC=${CC} \
	HA_BINDIR=${HA_BINDIR} HA_LIBDIR=${HA_LIBDIR} \
       	HA_MANDIR=${HA_MANDIR} REQINCS=${REQINCS} REQLIBS=${REQLIBS}

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	-$(MAKE) -i clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin usr/share/man/man1 usr/share/doc usr/lib/http-analyze
#	install -m 644 
#	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL_PROGRAM='install -c -s' \
#	LOCALBIN=debian/tmp/usr/bin \
#	LOCALMAN=debian/tmp/usr/share/man/man1 \
#	GDLIB=debian/tmp/usr/lib/libgd.so.1 \
#	COMPRESS=gzip \
#	GDINC=debian/tmp/usr/include install
	$(MAKE) DEFINES=${DEFINES} OPTIM=${OPTIM} CC=${CC} \
	HA_BINDIR=${HA_BINDIR} HA_LIBDIR=${HA_LIBDIR} \
	HA_MANDIR=${HA_MANDIR} REQINCS=${REQINCS} REQLIBS=${REQLIBS}
	$(MAKE) DEFINES=${DEFINES} OPTIM=${OPTIM} CC=${CC} \
	HA_BINDIR=../debian/tmp${HA_BINDIR} HA_LIBDIR=../debian/tmp${HA_LIBDIR} \
	HA_MANDIR=../debian/tmp${HA_MANDIR} REQINCS=${REQINCS} REQLIBS=${REQLIBS} install
#	install -m 644 source target
	src/http-analyze -i man/sample.conf
	dh_installdocs INSTALL CHANGES README man/http-analyze.ps.gz man/http-analyze.pdf
	dh_installchangelogs
	dh_installexamples man/sample.conf
	dh_installmanpages 
	dh_strip
	dh_compress
	dh_installdeb
	dh_fixperms
	dh_shlibdeps http_analyze
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
